All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.table
Class CellActiveStates

    com.sas.table.CellActiveStates

    public abstract class CellActiveStates

Defines a set of constants for identifying the different activation states of a TableView cell, and a method for determining whether a given integer is one of them.

See Also:
  `Cell.getActiveState()`

Field Summary
`static int` | `ACTIVE` Indicates that in addition to the cell being current it is also (fully, see ACTIVE_LIGHT) activated.
`static int` | `ACTIVE_LIGHT` Indicates that in addition to the cell being current it is also partially or "lightly" activated.
`static int` | `CURRENT` Indicates that the cell is the table view's current cell.
`static int` | `NOT_CURRENT` Indicates that the cell is not the table view's current cell.

Constructor Summary
`CellActiveStates()`

Method Summary
`static boolean` | `validate(int state)` Determines whether a given integer value is one of the defined active states.

Field Detail

### NOT_CURRENT

    public static final int NOT_CURRENT

  Indicates that the cell is not the table view's current cell. A cell that isn't current does not receive any keyboard or mouse events.

  See Also:
    Constant Field Values

### CURRENT

    public static final int CURRENT

  Indicates that the cell is the table view's current cell. (Only one cell can be current at at time.) A cell that is current receives mouse events at the table view's discretion.

  See Also:
    Constant Field Values

### ACTIVE_LIGHT

    public static final int ACTIVE_LIGHT

  Indicates that in addition to the cell being current it is also partially or "lightly" activated. A lightly activated cell receives mouse and keyboard events at the table view's discretion.

  See Also:
    Constant Field Values

### ACTIVE

    public static final int ACTIVE

  Indicates that in addition to the cell being current it is also (fully, see ACTIVE_LIGHT) activated. An active cell receives all keyboard and mouse events.

  See Also:
    Constant Field Values

Constructor Detail

### CellActiveStates

    public CellActiveStates()

Method Detail

### validate

    public static boolean validate(int state)

  Determines whether a given integer value is one of the defined active states.

  Parameters:
    `state` - The integer value to validate.
  Returns:
    `true` if state is one of the defined ones and `false` otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.